#ifndef _TYPES_H_
#define _TYPES_H_

/****** bentigte Header- Dateien *********************************************/

//#include ".h"
//#include ".h"
//#include ".h"
//#include ".h"
//#include ".h"
//#include ".h"
//#include ".h"


/***** Definitionen ***********************************************************/
#define TRUE 1
#define FALSE 0
#define ON 1
#define OFF 0
#define AKTIVATE 1
#define DEAKTIVATE 0
#define FALLING 0
#define RISING 1
#define LINKS 0
#define RECHTS 1

// I/O Konfiguration
// [DDRx] gibt die Datenrichtung des Ports an:
// 0 = Input
// 1 = Output
#define INPUT 0
#define OUTPUT 1

// Wenn Pin als Input --> DDRx = 0
// 0 = Pull Up ist deaktiviert
// 1 = Pull Up ist aktiv
// Portxn
#define PULL_UP_ON 1
#define PULL_UP_OFF 0

// Wenn Pin als Output --> DDRx = 1
// 0 = Ausgang ist Low
// 1 = Ausgang ist High
// Portxn
#define LOW 0
#define HIGH 1

/****** Typ deklarationen *****************************************************/
typedef unsigned char       bool_t ;
typedef unsigned char       U8 ;
typedef const char       	C8 ;
typedef unsigned short      U16;
typedef unsigned long       U32;
typedef signed char         S8 ;
typedef signed short        S16;
typedef long                S32;




/****** externe Variablen deklarationen ***************************************/





/****** externe Funktions deklarationen ***************************************/







#endif /* _TYPES_H_ */
